Reopen a branch
POST
/api/orgs/{org}/projects/{project}/branches/reopen
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/branches/reopen';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"branch":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wrktr.com/api/orgs/example/projects/example/branches/reopen \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "branch": "example" }'Puts a closed branch back in progress; its agents pick its head up again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
branch
required
string
Examplegenerated
{ "branch": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound | BranchNotFound
InvalidInput
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "InvalidInput"}